Register Members List Search Today's Posts Mark Forums Read

Reply
 
Thread Tools
  #1  
Old 10 May 2016, 19:48
e9coupe e9coupe is offline
 
Join Date: Aug 2008
Site down, need help and opinions...

My site is down today with a database error. I believe I'm running 3.8.x. Its a really old version. I also believe that my web host updated PHP recently and could be the cause of the problem.

My questions...

What version should I update to and how do I go about finding someone trustworthy/reliable to do it for me? Its been quite a while since I hired help.

Dan
Reply With Quote
  #2  
Old 10 May 2016, 20:07
Dr.CustUmz's Avatar
Dr.CustUmz Dr.CustUmz is offline
 
Join Date: Aug 2013
Real name: Ryan
I'd recommend vb 3.8.10 it supports the latest php, and doesn't include all the bloat vb4 and 5 have. as far as hiring someone, request in the paid section and go with someone who is recognized on here. and you believe can truly do it, paypal is the best method to provide payments, DO NOT GIFT THE PAYMENT! or its like you donated and it's harder to get your money back so keep all conversations.

pro tip to save some $
upload the files, run yoursite.com/install/upgrade.php
__________________
Sorry been away so long, new baby, got married, got into GM, just got to the point I can resume developing.
I'm working on a bunch of products, some free, some paid, and will release them all at once.
Dirt RIF CustUmz
Reply With Quote
  #3  
Old 10 May 2016, 20:12
squidsk's Avatar
squidsk squidsk is offline
 
Join Date: Nov 2010
If you don't give us the database error it's impossible for us to help you fix the problem.
Reply With Quote
  #4  
Old 10 May 2016, 20:26
e9coupe e9coupe is offline
 
Join Date: Aug 2008
e9coupe.com/forum/index.php

A friend told me he found this error on the source of the forum page. Not sure it helps...

<!--
Database error in vBulletin :

mysql_connect(): The mysql extension is deprecated and will be removed in the future: use mysqli or PDO instead
/home/e9coupe/public_html/forum/includes/class_core.php on line 311

MySQL Error :
Error Number :
Request Date : Tuesday, May 10th 2016 @ 12:32:09 PM
Error Date : Tuesday, May 10th 2016 @ 12:32:09 PM
Script : http://e9coupe.com/forum/
Referrer :
IP Address : 108.224.108.180
Username :
Classname : vB_Database
MySQL Version :
-->

which leads me to class_core.php . At line 311 it says this:

$link = $this->functions[$usepconnect ? 'pconnect' : 'connect']("$servername:$port", $username, $password);

which is a database connect. Thatís failing right away.
Reply With Quote
  #5  
Old 10 May 2016, 20:37
Lynne's Avatar
Lynne Lynne is offline
 
Join Date: Sep 2004
Real name: Lynne
Change your config.php file to use mysqli instead of mysql and see if that fixes the issue.
__________________
Former vBulletin.org Staff Member

Try a search before posting for help. Many users won't, and don't, help if the question has been answered several times before.
W3Schools -
Online vBulletin Manual
If I post some CSS and don't say where it goes, put it in the additional.css template.
I will NOT help via PM (you will be directed to post in the forums for help.)
Reply With Quote
  #6  
Old 10 May 2016, 20:39
billstelling's Avatar
billstelling billstelling is offline
 
Join Date: Apr 2011
yep, looks like the update borked your site. Upgrading to the latest 3.8.10 should sort in for you but I have not messed with 3 in years so not much I can offer to help you with it. Plenty of vb3 users here and I bet it's been covered here somewhere already..

found it I think..

http://www.vbulletin.com/forum/forum...ite-won-t-load

Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.

Lynne beat me to it..

Last edited by billstelling; 10 May 2016 at 20:45.
Reply With Quote
  #7  
Old 10 May 2016, 20:52
e9coupe e9coupe is offline
 
Join Date: Aug 2008
That didn't fix it. Does it take a little time for some reason?
Reply With Quote
  #8  
Old 10 May 2016, 21:17
Dr.CustUmz's Avatar
Dr.CustUmz Dr.CustUmz is offline
 
Join Date: Aug 2013
Real name: Ryan
download the latest vb3 from members area 3.8.10 beta 1 and upload all them files and run the upgrade
__________________
Sorry been away so long, new baby, got married, got into GM, just got to the point I can resume developing.
I'm working on a bunch of products, some free, some paid, and will release them all at once.
Dirt RIF CustUmz
Reply With Quote
  #9  
Old 10 May 2016, 21:47
TheLastSuperman's Avatar
TheLastSuperman TheLastSuperman is offline
 
Join Date: Sep 2008
Real name: Michael Miller Jr
Cool

Originally Posted by e9coupe View Post
That didn't fix it. Does it take a little time for some reason?
No, if that were the only issue the entire site would be viewable immediately after the file edit. There is more than simply that going on, as you suspected initially it's due to PHP and/or mysql version (not the difference between mysql/mysqli but the actual version # i.e. MySQL 5.5 etc).

Originally Posted by Dr.CustUmz View Post
download the latest vb3 from members area 3.8.10 beta 1 and upload all them files and run the upgrade
Before you do this e9coupe, check to ensure you know what version of PHP i.e. PHP5.4 you're running, also ensure you know which version of MySQL you're using. IF your site is not up to par contact your host and ask for the changes required to be made.

Reference: http://www.vbulletin.com/forum/forum...bulletin-3-8-9

Make sure you backup the site before doing anything, database and files (does not matter if site is down now, it can be restored using those files and database copy) so if anything goes wrong you have a current "pre-upgrade" version just in case.
__________________
Daddy Does Dios and Figs!
https://www.linkedin.com/in/thelastsuperman

Search - Use the search feature to find similar issues/answers.
Information - Include screenshots, copy/pasted error codes, url etc.
Fixed - Please return to your thread/post and let us know how it was fixed!
Thanks - For participating! Click the "Like" on a post if someone helped you!
Reply With Quote
  #10  
Old 10 May 2016, 22:40
Dr.CustUmz's Avatar
Dr.CustUmz Dr.CustUmz is offline
 
Join Date: Aug 2013
Real name: Ryan
+1 do that ^^
__________________
Sorry been away so long, new baby, got married, got into GM, just got to the point I can resume developing.
I'm working on a bunch of products, some free, some paid, and will release them all at once.
Dirt RIF CustUmz
Reply With Quote
  #11  
Old 10 May 2016, 23:03
e9coupe e9coupe is offline
 
Join Date: Aug 2008
My host said to use PHP Selector in my cpanel and use an older version of PHP. I can select different ones and check it but thought I'd ask here first...

5.5
5.4
5.3
5.2
.......
Reply With Quote
  #12  
Old 10 May 2016, 23:17
twistsol's Avatar
twistsol twistsol is offline
 
Join Date: Apr 2015
Real name: Chr's Phelps
For vBulletin 3.8.x, PHP 5.3 will work
Reply With Quote
  #13  
Old 10 May 2016, 23:57
e9coupe e9coupe is offline
 
Join Date: Aug 2008
Okay, a couple things needed fixing. The PHP version was changed to 5.3 and somehow the database password got changed so it didn't match the config.php file. That got things working, but not on Chrome. Firefox and Explorer handle it but not Chrome.

This site canít be reached
The webpage at http://e9coupe.com/forum/ might be temporarily down or it may have moved permanently to a new web address.
Reply With Quote
  #14  
Old 11 May 2016, 00:09
Dr.CustUmz's Avatar
Dr.CustUmz Dr.CustUmz is offline
 
Join Date: Aug 2013
Real name: Ryan
works in chrome for me, you may need to clear cache

--------------- Added 11 May 2016 at 00:10 ---------------

scratch that, homepage works, every other page doesnt
__________________
Sorry been away so long, new baby, got married, got into GM, just got to the point I can resume developing.
I'm working on a bunch of products, some free, some paid, and will release them all at once.
Dirt RIF CustUmz
Reply With Quote
  #15  
Old 11 May 2016, 00:24
twistsol's Avatar
twistsol twistsol is offline
 
Join Date: Apr 2015
Real name: Chr's Phelps
Clearing the cache in AdminCP -> Maintenance was going to be my suggestion as well. I can see the home page in safari, but nothing else. The error I'm getting refers to Safari's inability to decode compressed images.

Firefox is working
Reply With Quote
Reply



Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
 
Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off


New To Site? Need Help?

All times are GMT. The time now is 23:43.

Layout Options | Width: Wide Color: